## moin 1.3.4

=== MoinMoin/i18n/Makefile ===
--- 
+++ 
@@ -29,18 +29,16 @@
 	  if cmp $$lang.po $$lang.new.po >/dev/null 2>&1; then \
 	    rm -f $$lang.new.po; \
 	  else \
-	    if mv -f $$lang.new.po $$lang.po; then \
-	      :; \
-	    else \
-	      echo "msgmerge for $$lang.po failed: cannot move $$lang.new.po to $$lang.po" 1>&2; \
-	      exit 1; \
-	    fi; \
+	    ./po2wiki.py $$lang <$$lang.new.po; \
+	    rm -f $$lang.new.po; \
 	  fi; \
 	else \
 	  echo "msgmerge for $$lang.po failed!" 1>&2; \
 	  rm -f $$lang.new.po; \
 	fi
 
+# remove "--no-location" if you want to have file names and line numbers
+# that's bad for merging branches - this is why we don't use it
 $(DOMAIN).pot-update: $(POTFILES) POTFILES
 	xgettext --default-domain=$(DOMAIN) --directory=.. \
 	  --files-from=POTFILES.in \
@@ -64,10 +62,13 @@
 $(DOMAIN).pot:
 	$(MAKE) $(DOMAIN).pot-update
 
-$(POFILES): $(DOMAIN).pot
+$(POFILES):
 	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
-	echo msgmerge --update $${lang}.po $(DOMAIN).pot; \
-	msgmerge --update $${lang}.po $(DOMAIN).pot
+	echo msgmerge $${lang}.po $(DOMAIN).pot -o $${lang}.new.po; \
+	msgmerge $${lang}.po $(DOMAIN).pot -o $${lang}.new.po; \
+	./po2wiki.py $${lang} <$$lang.new.po; \
+	rm -f $$lang.new.po
+	
 
 $(NOPFILES):
