## moin 1.5.8

=== MoinMoin/i18n/Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 .nop.po-update:
 	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
 	echo "$$lang:"; \
+	./wiki2po.py $${lang}; \
 	echo "msgmerge $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
 	if msgmerge $$lang.po $(DOMAIN).pot -o $$lang.new.po; then \
 	  if cmp $$lang.po $$lang.new.po >/dev/null 2>&1; then \
@@ -64,6 +65,7 @@
 
 $(POFILES):
 	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
+	./wiki2po.py $${lang}; \
 	echo msgmerge $${lang}.po $(DOMAIN).pot -o $${lang}.new.po; \
 	msgmerge $${lang}.po $(DOMAIN).pot -o $${lang}.new.po; \
 	./po2wiki.py $${lang} <$$lang.new.po; \
@@ -91,6 +93,6 @@
 	done
 
 clean:
-	rm POTFILES
-	rm meta.wiki
+	rm -f POTFILES
+	rm -f meta.wiki
