## moin 1.9.2

=== debian/changelog ===
moin (1.9.2-2ubuntu3.1) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary script injection via multiple cross-site
    scripting issues.
    - debian/patches/CVE-2010-2487,2969,2970.patch: properly escape strings
      in MoinMoin/{Page,PageEditor,PageGraphicalEditor}.py,
      MoinMoin/action/*.py.
    - CVE-2010-2487
    - CVE-2010-2969
    - CVE-2010-2970

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Aug 2010 10:37:01 -0400

moin (1.9.2-2ubuntu3) lucid; urgency=low

  * debian/rules: Avoid pulling libapache2-mod-wsgi by default, by recommending
    "apache2 | httpd-cgi" instead of "libapache2-mod-wsgi | httpd-cgi".
    Suggest libapache2-mod-wsgi instead. That prevents us from needing to rush
    libapache2-mod-wsgi in main one week before release.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Fri, 23 Apr 2010 15:21:19 +0200

moin (1.9.2-2ubuntu2) lucid; urgency=low

  * Debian declares python-werkzeug and python-parsedatetime as Depends and
    python-xappy as Recommends, however these packages are in universe,
    which breaks Ubuntu policy (section 2.2.1). Until these packages can be
    added to main, use the embedded copies in moin.
    - debian/patches/ubuntu_use_embedded_for_main.patch: update setup.py
    - debian/rules: update CDBS_DEPENDS and CDBS_RECOMMENDS for the above
  * SECURITY UPDATE: fix XSS in Despam action
    - debian/patches/CVE-2010-0828.patch: use wikiutil.escape() in
      revert_pages()
    - CVE-2010-0828

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 30 Mar 2010 15:09:54 -0500

moin (1.9.2-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing (LP: #521834). Based on work by Stefan Ebner.
    Remaining changes:
   - Remove python-xml from Suggests field, the package isn't anymore in
     sys.path.
   - Demote fckeditor from Recommends to Suggests; the code was previously
     embedded in moin, but it was also disabled, so there's no reason for us
     to pull this in by default currently. Note: This isn't necessary anymore
     but needs a MIR for fckeditor, so postpone dropping this change until
     lucid+1
  * debian/rules:
    - Replace hardcoded python2.5 with python* and hardcore python2.6 for ln
  * debian/control.in: drop versioned depends on cdbs

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 30 Mar 2010 12:55:34 -0500

moin (1.9.2-2) unstable; urgency=medium

  [ Frank Lin PIAT ]
  * Minor improvements to moin-update-wikilist.1 manpage

  [ Jonas Smedegaard ]
  * Update local CDBS snippets:
    + use main upstream-tarball.mk, and drop no longer used local one.
    + Include main utils.mk (not copyright-check.mk now gone).
    + Only dash-include non-crucial upstream-tarball.mk and suppress its
      build-dependency hint, to ease backporting.
    + Temporarily disable buildinfo.mk, until more backport-friendly.
    + Shrink local package-relations.mk to only handle binary relations
      (the rest merged into buildcore.mk since cdbs 0.4.69), and fix
      avoid accidentally relying on debhelper.mk.
  * As effect of above, stop build-depending on devscripts or
    dh-buildinfo, and relax build-dependency on cdbs to be unversioned.
  * Set urgency=medium, as only manpage changes should affect content of
    package, and improved backportability is wanted in testing.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Mar 2010 20:41:32 +0100

moin (1.9.2-1) unstable; urgency=low

  [ Frank Lin PIAT ]
  * New upstream release.
    + Fix broken with python-werkzeug 0.6-1, Closes: #571016
    + Fix CVE-2010-0668 and CVE-2010-0669, Closes: #569975
    + Fix action=diff Exception if a page doesn't exist/has no editlog,
      Closes: #567129
    + Fix incompatibility with old style configuration "cookie_lifetime = 1"
      Closes: #560172
    + Improve documentation of farmconfig.py, Closes: #559896

  [ Jonas Smedegaard ]
  * Drop old conflicts/replaces needed for Etch transition.
  * Update copyright file:
    + Comma-separate files
    + merge some debian entries
    + bump some years
    + Add leading ./ to files
    + Improve wording of X-Copyright-Comment stanza
    + Use Maintainer stanza (not Contact)
    + Use Expat (not other-MIT) as license short-name
    + Fix GPL licenses to include verbatim license text, disclaimer and
      reference to FSF
    + Merge license other-ModifiedBSD with virtually identical other-
      ModifiedBSD-contributors
    + Declare copyright conformant with DEP5 rev. 135
  * Bump copyright years and add Frank Lin as owner in rules file.
  * Refer to FSF website (not postal address) in rules file header.
  * Drop DEB_AUTO_UPDATE_DEBIAN_CONTROL handling from rules file
    (included in main cdbs since 0.4.67). Drop now unneeded lintian-
    overrides.
  * Stop build-depending on (yet) unused help2man.
  * Simplify installation of desktop edition (both ours and that of the
    local user).
  * Drop workaround rules for cruft no longer shipped upstream.
  * Ensure variable-expanded files are not accidentally copyright-
    checked (double-colon rules may run in parallel).
  * Drop local CDBS snippets copyright-check.mk and buildinfo.mk,
    included with cdbs since 0.4.67.
    Tighten build-dependency on cdbs to versions providing the snippets.
  * Improve package-relationships.mk to strip unversioned build-
    dependency following same versioned.
  * Use source format "3.0 'quilt'":
    + Add format hint to source
    + Update README.source
    + Stop including patchsys-quilt.mk
    + Stop build-depending on quilt or patchutils
  * Drop local CDBS snippet python-distutils.mk, cdbs now mature enough.
    Relax build-dependencies on python-dev and python-support.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Mar 2010 23:23:11 +0100

moin (1.9.1-1) unstable; urgency=high

  * New upstream release.
    + Fixes security issue in CGI handling, introduced in 1.9. Closes:
      bug#565854, thanks to Pascal Volk and Frank Lin PIAT.
  * Update local CDBS snippets:

