=== debian/control ===
Source: moin
Section: net
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.8.4
Build-Depends: cdbs, python-support, python-dev (>= 2.3.5-7), debhelper (>= 6), unzip, zip
Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
Homepage: http://moinmo.in/

Package: python-moinmoin
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Provides: ${python:Provides}, ${cdbs:Provides}
Replaces: ${cdbs:Replaces}
Conflicts: ${cdbs:Conflicts}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: Python clone of WikiWiki - library
 A WikiWikiWeb is a collaborative hypertext environment, with an
 emphasis on easy access to and modification of information. MoinMoin
 is a Python WikiClone that allows you to easily set up your own wiki,
 only requiring a Web server and a Python installation.
