## moin 1.9.3

=== debian/changelog ===
moin (1.9.3-1ubuntu2.2) precise-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via anywikidraw/twikidraw
    - debian/patches/CVE-2012-XXXX.patch: adjust action/anywikidraw.py and
      action/twikidraw.py to use wikiutil.taintfilename()
    - CVE-2012-XXXX
  * SECURITY UPDATE: path traversal via AttachFile
    - debian/patches/CVE-2012-YYYY.patch: adjust action/AttachFile.py to use
      wikiutil.taintfilename()
    - CVE-2012-YYYY

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 29 Dec 2012 18:20:21 -0600

moin (1.9.3-1ubuntu2.1) precise-security; urgency=low

  * SECURITY UPDATE: cross-site scripting issue in reStructuredText parser
    - debian/patches/CVE-2011-1058.patch: remove javascript support in
      MoinMoin/parser/text_rst.py.
    - CVE-2011-1058
  * SECURITY UPDATE: incorrect permissions due to broken virtual group
    names handling
    - debian/patches/CVE-2012-4404.patch: fix group test in
      MoinMoin/security/__init__.py, added test in
      MoinMoin/security/_tests/test_security.py.
    - CVE-2012-4404

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Oct 2012 10:18:19 -0400

moin (1.9.3-1ubuntu2) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:16:29 +0000

moin (1.9.3-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #586518). Based on work by Stefan Ebner.
    Remaining changes:
   - Remove python-xml from Suggests field, the package isn't anymore in
     sys.path.
   - Demote fckeditor from Recommends to Suggests; the code was previously
     embedded in moin, but it was also disabled, so there's no reason 
     for us to pull this in by default currently. Note: fckeditor has a
     number of security problems and so this change probably needs to be
     carried indefinitely.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 11 Aug 2010 12:35:34 -0700

moin (1.9.3-1) unstable; urgency=low

  * New upstream release.

  [ Frank Lin PIAT ]
  * Build-Depends on python rather than python-dev.
    Closes: bug#576426.
  * Fix location of README.Migration in NEWS file.
  * Install upstream's docs/REQUIREMENTS file.
  * Add manpage moin(1).
  * Drop lintian override for test.wsgi: no longer executable.
  * Add lintian override for no-doc-base-registration.
  * Install the desktop edition sample config files.
  * Fix werkzeug-0.6 http redirect incompatibility.
    Closes: bug#579189.
  * Improve DEP3 header for patch fix_werkzeug_0.6_http_redirect
  * Fix werkzeug-0.6 xmlxpc incompatibility.
    Closes: bug#580186.

  [ Jonas Smedegaard ]
  * Fix conditionally append version in hash-bang of Python scripts
    (relevant only on systems where default Python version is
    unsupported - i.e. highly unlikely to have caused real trouble
    anywhere). Tighten build-dependency on cdbs to versions providing
    new variable name. Rephrase related comment.
  * Drop files section in copyright file for no longer shipped CDBS
    snippet.
  * Fix append version to python dependency if using non-default
    version.
  * Tidy rules file: move variable below cdbs inclusions, and improve
    some comments.
  * Drop patches applied in upstream 0.9.3 release. Refresh patches.
  * Tighten build-dependency on cdbs.
  * Bump Policy compliance to Standards-Version 3.9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 20:46:59 -0400

moin (1.9.2-3) unstable; urgency=high

  [ Frank Lin PIAT ]
  * Add patch to fix CVE-2010-0828: XSS in Despam page.
    Closes: 575995, thanks to Jamie Strandboge (Ubuntu).

  [ Jakub Wilk ]
  * Fix htdocs symlink, when compiled with python2.6.
    Closes: bug#557956.

  [ Jonas Smedegaard ]
  * Drop local package-relations.mk snippet, now in main cdbs package.
  * Unfuzz and refresh patches (with quilt compacting options
    --no-timestamps --no-index -pab).
  * Add DEP3 header to patch "CVE-2010-0828.patch".
  * Stop suppressing optional build-dependencies: we need recent cdbs
    anyway (to not complicate packaging with a local CDBS snippet) so
    cannot please backporters anyway.
  * Build-depend on devscripts and dh-buildinfo, and tighten build-
    dependency on cdbs, due to above changes.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Apr 2010 16:27:00 +0200
