=== debian/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Source: moin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.8.4
-Build-Depends: cdbs, python-support, python-dev (>= 2.3.5-7), debhelper (>= 6), unzip, zip
+Standards-Version: 3.9.1
+Build-Depends: devscripts (>= 2.10.7~),
+ dh-buildinfo,
+ python,
+ debhelper (>= 6),
+ unzip,
+ zip,
+ cdbs (>= 0.4.72~)
 Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
 Homepage: http://moinmo.in/
