=== debian/rules ===
--- 
+++ 
@@ -17,21 +17,17 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-DEB_PYTHON_SYSTEM = pysupport
--include /usr/share/cdbs/1/rules/upstream-tarball.mk
+include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-#include /usr/share/cdbs/1/rules/buildinfo.mk
-include debian/cdbs/1/rules/package-relations.mk
 
-# suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_buildinfo =
+# Suppress unneeded auto-resolved build-dependency on python-dev
+CDBS_BUILD_DEPENDS_class_python-distutils = python$(cdbs_python_nondefault_version)
 
 DEB_UPSTREAM_URL = http://static.moinmo.in/files
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = e464c474c3a56c803dc553b8ca13c37f
+DEB_UPSTREAM_TARBALL_MD5 = b22c15446e9fabda180fc88b21635184
 
 # Use local fork handling variations in owner names and license strings
 DEB_COPYRIGHT_CHECK_SCRIPT = debian/licensecheck
@@ -48,9 +44,9 @@
 DEB_INSTALL_EXAMPLES_$(pkg) += wikiserver.py wikiconfig.py wiki/config debian/examples/*
 DEB_INSTALL_DOCS_ALL += debian/README.Debian
 DEB_INSTALL_DOCS_$(pkg) += docs/README.migration docs/INSTALL.html
-DEB_INSTALL_DOCS_$(pkg) += docs/UPDATE.html
+DEB_INSTALL_DOCS_$(pkg) += docs/UPDATE.html docs/REQUIREMENTS
 DEB_INSTALL_CHANGELOGS_ALL = docs/CHANGES
-DEB_INSTALL_MANPAGES_$(pkg) += debian/moin-mass-migrate.8 debian/moin-update-wikilist.1
+DEB_INSTALL_MANPAGES_$(pkg) += debian/moin-mass-migrate.8 debian/moin-update-wikilist.1 debian/moin.1
 
 # Grab staticpath from some config file for use in our documentation
 # (Make ignores exitlevel, so doublecheck result)
@@ -76,19 +72,28 @@
 		rm -f $$targetfile; \
 	done
 
-# Force strip python binary hardcoding
+# Ensure proper hash-bang in Python scripts (Python Policy 0.9.0.0 §3.1)
 binary-fixup/$(pkg)::
 	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' debian/$(cdbs_curpkg)$(datadir)/server/* debian/$(cdbs_curpkg)/usr/share/doc/* \
-		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python$(cdbs_python_compile_version),'
+		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python$(cdbs_python_nondefault_version),'
 
 # Strip notes in underlay about editing only on moinmaster.
 binary-fixup/$(pkg)::
 	sh debian/process_language_pages debian/$(cdbs_curpkg)
 
+# moin is modular, insert sub-commands description
+common-build-indep::
+	bash debian/tweak-moin-manpage debian/moin.1.template debian/moin.1
+
 # Make sure scripts are executable
 binary-fixup/$(pkg)::
 	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' debian/$(cdbs_curpkg)$(libdir) \
 		| xargs -r -0 chmod a+x
+
+# Include Moinmoin Desktop editions files.
+binary-fixup/$(pkg)::
+	mkdir -p debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/desktop-edition
+	cp wikiserver.py wikiconfig.py debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/desktop-edition
 	chmod a+x debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/wikiserver-init.sh
 
 # Make sure translations are up-to-date
@@ -102,6 +107,7 @@
 	cd MoinMoin/i18n && make clean
 	rm -f MoinMoin/i18n/meta.py
 	rm -f debian/stamp-update-translations
+	rm -f debian/moin.1
 
 # Setup system wide farmconfig.
 binary-fixup/$(pkg)::
@@ -115,7 +121,7 @@
 		mv -f debian/$(cdbs_curpkg)$(datadir)/server/$$file.new debian/$(cdbs_curpkg)$(datadir)/server/$$file; \
 	done
 
-# Use systemwide word file as main dictionnary
+# Use systemwide word file as main dictionary
 binary-fixup/$(pkg)::
 	mkdir -p  debian/$(cdbs_curpkg)/usr/share/pyshared/MoinMoin/
 	ln -s /etc/moin/words debian/$(cdbs_curpkg)/usr/share/pyshared/MoinMoin/
@@ -125,7 +131,7 @@
 install/$(pkg)::
 	mkdir -p debian/$(cdbs_curpkg)$(datadir)
 	mv debian/$(cdbs_curpkg)/usr/lib/python*/*-packages/MoinMoin/web/static/htdocs debian/$(cdbs_curpkg)$(datadir)
-	ln -s debian/$(cdbs_curpkg)$(datadir)/htdocs debian/$(cdbs_curpkg)/usr/lib/python2.6/site-packages/MoinMoin/web/static/htdocs
+	ln -s debian/$(cdbs_curpkg)$(datadir)/htdocs debian/$(cdbs_curpkg)/usr/lib/python*/*-packages/MoinMoin/web/static/
 
 # Strip TwikiDrawPlugin as we need to compile from source
 binary-fixup/$(pkg)::
@@ -144,19 +150,13 @@
 	echo "This applet has not yet been packaged for Debian." > debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/anywikidraw/README
 
 # Needed for our packaging
-CDBS_BUILD_DEPENDS += , unzip, zip
+# * cdbs 0.4.72 or newer needed for variable $(cdbs_python_nondefault_version)
+CDBS_BUILD_DEPENDS += , unzip, zip, cdbs (>= 0.4.72~)
 
 # Needed (always, often or sometimes) at runtime
-CDBS_DEPENDS += python-pygments
-CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian
-CDBS_RECOMMENDS += , apache2 | httpd-cgi
-CDBS_SUGGESTS += , libapache2-mod-wsgi
+CDBS_DEPENDS += python-werkzeug, python-pygments, python-parsedatetime
+CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy
+CDBS_RECOMMENDS += , libapache2-mod-wsgi | httpd-cgi
 CDBS_SUGGESTS += , python-flup
-CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils (>= 0.3.10), python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb, fckeditor
+CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils (>= 0.3.10), python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
 CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, smbfs, poppler-utils | xpdf-utils, docbook-dsssl
-
-# Transitional quirk: moinmoin-common dropped, functionality is in python-moinmoin
-# (unneeded since Lenny: can be dropped after Lenny+1)
-CDBS_PROVIDES += , moinmoin-common
-CDBS_REPLACES += , moinmoin-common
-CDBS_CONFLICTS += , moinmoin-common
