## moin 1.9.4

=== debian/changelog ===
moin (1.9.4-8+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2016-7146 and CVE-2016-9119.
    - JavaScript injection attack and XSS in the GUI editor's link dialogue.

 -- Markus Koschany <apo@debian.org>  Mon, 21 Nov 2016 15:58:18 +0100

moin (1.9.4-8+deb7u2) stable; urgency=low

  * Backport fix from upstream: Do not create empty pagedir (with
    empty edit-log). Closes: #721557

 -- Steve McIntyre <93sam@debian.org>  Sun, 15 Sep 2013 14:44:37 -0700

moin (1.9.4-8+deb7u1) testing-proposed-updates; urgency=high

  * Stack of security fixes from upstream:
    + make taintfilename more secure
    + escape user- or admin-defined css url
    + use a constant time str comparison function to prevent timing
      attacks
    + fix remote code execution vulnerability in twikidraw/anywikidraw
      actions (CVE-2012-6081).
    + fix path traversal vulnerability in AttachFile action
      (CVE-2012-6080).

 -- Steve McIntyre <93sam@debian.org>  Sat, 29 Dec 2012 19:20:37 +0100

moin (1.9.4-8) unstable; urgency=high

  * High urgency for a security fix
  * Add patch from upstream to fix a virtual group bug in ACL evaluation
    (CVE-2012-4404).

 -- Steve McIntyre <93sam@debian.org>  Wed, 05 Sep 2012 01:57:30 +0100

moin (1.9.4-7) unstable; urgency=low

  * subprocess.check_output only appeared in python 2.7. Use
    subprocess.Popen and .communicate() instead to get the same effect but
    working on older python versions too.

 -- Steve McIntyre <93sam@debian.org>  Fri, 10 Aug 2012 14:20:26 +0100

moin (1.9.4-6) unstable; urgency=low

  * Fix the error message displayed when external_creation_check fails

 -- Steve McIntyre <93sam@debian.org>  Mon, 30 Jul 2012 19:52:39 +0100

moin (1.9.4-5) unstable; urgency=low

  * Store date and host when a new account is created
  * Add the option to call an external helper program at account creation
    time to help with local account control policy (e.g. anti-spam)
  * Make sending of email verification messages slightly more verbose.

 -- Steve McIntyre <93sam@debian.org>  Sun, 29 Jul 2012 11:40:28 +0100

moin (1.9.4-4) unstable; urgency=low

  * Fix stupid typo in the mail verification patch. Closes: #671211

 -- Steve McIntyre <93sam@debian.org>  Thu, 03 May 2012 12:55:49 +0100

moin (1.9.4-3) unstable; urgency=low

  * Update the subscriber lookup patch to add locking.
  * Add a new patch to add support for verifying email addresses during
    account creation.

 -- Steve McIntyre <93sam@debian.org>  Mon, 30 Apr 2012 17:22:27 +0100

moin (1.9.4-2) unstable; urgency=low

  * Add a cache for subscriber lookup to boost performance on page save.
    Patch from Vitaliy Shchupak. Closes: #668000

 -- Steve McIntyre <93sam@debian.org>  Mon, 16 Apr 2012 20:18:27 +0100

moin (1.9.4-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#663340.
  * Bump debhelper compatibility level to 7.
  * Stop providing/replacing/conflicting with moinmoin-common:
    Transitional quirk unneeded since Lenny.
  * Drop preinst/postrm conffile renaming hack, unneeded since MoinMoin
    1.5.2.
  * Update package relations:
    + Stop needlessly build-depend versioned on cdbs: shadowed by even
      tighter versioning due to use of default Python install helper.
    + Use unversioned suggest for python-docutils: Needed version
      satisfied even in oldstable.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Drop patch implementing CVE-2011-1058: Applied upstream.
  * Unfuzz patch disabling GUI editor.
  * Update copyright file:
    + Extend/bump some copyright years.
    + Introduce new copyright holder.
    + Fix list more specific Files section after general one.
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Mar 2012 11:20:33 +0100

moin (1.9.3-3) unstable; urgency=high

  [ Steve McIntyre ]
  * Add myself to Uploaders
  * Add patch from upstream to fix a cross-site scripting vulnerability in
    the rst parser (CVE-2011-1058). Closes: #643904

 -- Steve McIntyre <93sam@debian.org>  Tue, 04 Oct 2011 13:14:09 +0100

moin (1.9.3-2) unstable; urgency=low

  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add source local-options.
  * Add patch to add simple support for using recaptcha.
    Closes: bug#637880. Thanks to Steve McIntyre.
  * Depend on python-recaptcha, required by recaptcha support.
  * Suggest cifs-utils (not smbfs).
    Closes: bug#638156. Thanks to Luk Claes.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Add recaptcha patch, licensed GPL-2+.
  * Use Python helper python2 (not python-support).
  * Bump Policy compliance to Standards-Version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Aug 2011 19:13:00 +0200
