=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: moin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.1
-Build-Depends: devscripts (>= 2.10.7~),
+Maintainer: Jonas Smedegaard <dr@jones.dk>
+Standards-Version: 3.9.2
+Build-Depends: devscripts,
+ python (>= 2.6.5),
+ cdbs (>= 0.4.97~),
+ python-dev (>= 2.3.5-7),
+ debhelper,
  dh-buildinfo,
- python,
- debhelper (>= 6),
  unzip,
- zip,
- cdbs (>= 0.4.72~)
+ zip
+Uploaders: Steve McIntyre <93sam@debian.org>
 Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
 Homepage: http://moinmo.in/
