=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,9 @@
 include /usr/share/cdbs/1/class/python-distutils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-# Suppress unneeded auto-resolved build-dependency on python-dev
-CDBS_BUILD_DEPENDS_class_python-distutils = python$(cdbs_python_nondefault_version)
-
 DEB_UPSTREAM_URL = http://static.moinmo.in/files
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = b22c15446e9fabda180fc88b21635184
+DEB_UPSTREAM_TARBALL_MD5 = f274a47042abeb17df6b0abb2948e896
 
 # Use local fork handling variations in owner names and license strings
 DEB_COPYRIGHT_CHECK_SCRIPT = debian/licensecheck
@@ -50,7 +47,9 @@
 
 # Grab staticpath from some config file for use in our documentation
 # (Make ignores exitlevel, so doublecheck result)
-grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
+
+#grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
+
 staticpath := $(shell sed -n -e "s|^\s*release_short\s*=\s*'\([^']*\)'.*|/moin_static\1|p" MoinMoin/version.py)
 $(if $(staticpath),,$(error Failed to resolve staticpath))
 
@@ -150,13 +149,12 @@
 	echo "This applet has not yet been packaged for Debian." > debian/$(cdbs_curpkg)$(datadir)/htdocs/applets/anywikidraw/README
 
 # Needed for our packaging
-# * cdbs 0.4.72 or newer needed for variable $(cdbs_python_nondefault_version)
-CDBS_BUILD_DEPENDS += , unzip, zip, cdbs (>= 0.4.72~)
+CDBS_BUILD_DEPENDS += , unzip, zip
 
 # Needed (always, often or sometimes) at runtime
-CDBS_DEPENDS += python-werkzeug, python-pygments, python-parsedatetime
-CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy
+CDBS_DEPENDS += python-werkzeug, python-pygments, python-parsedatetime, python-recaptcha
+CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy, fckeditor
 CDBS_RECOMMENDS += , libapache2-mod-wsgi | httpd-cgi
 CDBS_SUGGESTS += , python-flup
-CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils (>= 0.3.10), python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
-CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, smbfs, poppler-utils | xpdf-utils, docbook-dsssl
+CDBS_SUGGESTS += , python-4suite-xml, python-xml, python-gdchart, python-docutils, python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
+CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, cifs-utils, poppler-utils | xpdf-utils, docbook-dsssl
