## moin 1.9.5

=== debian/changelog ===
moin (1.9.5-4ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable. Remaining changes:
   - debian/rules: remove python-xml from CDBS_SUGGESTS field, the package
     isn't in sys.path any more.
   - debian/rules: demote fckeditor from CDBS_RECOMMENDS to CDBS_SUGGESTS; the
     code was previously embedded in moin, but it was also disabled, so
     there's no reason for us to pull this in by default currently. Note:
     fckeditor has a number of security problems and so this change probably
     needs to be carried indefinitely.
  * Dropped the following patches, no longer needed:
    - debian/patches/CVE-2012-XXXX.patch
    - debian/patches/CVE-2012-YYYY.patch

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 Jan 2013 10:58:34 -0600

moin (1.9.5-4) unstable; urgency=high

  * Another security fix from upstream:
    + fix path traversal vulnerability in AttachFile action
      (CVE-2012-XXXX).

 -- Steve McIntyre <93sam@debian.org>  Sat, 29 Dec 2012 19:01:04 +0000

moin (1.9.5-3) unstable; urgency=high

  * Security fix from upstream:
    + fix remote code execution vulnerability in twikidraw/anywikidraw
      actions (CVE-2012-XXXX).

 -- Steve McIntyre <93sam@debian.org>  Sat, 29 Dec 2012 16:54:15 +0000

moin (1.9.5-2) unstable; urgency=high

  * Several security fixes from upstream:
    + fix XSS issue, escape page name in rss link (CVE id not available
      yet)
    + make taintfilename more secure
    + escape user- or admin-defined css url
    + use a constant time str comparison function to prevent timing
      attacks

 -- Steve McIntyre <93sam@debian.org>  Wed, 12 Dec 2012 14:17:35 +0000

moin (1.9.5-1ubuntu2) raring-proposed; urgency=low

  * SECURITY UPDATE: arbitrary code execution via anywikidraw/twikidraw
    - debian/patches/CVE-2012-XXXX.patch: adjust action/anywikidraw.py and
      action/twikidraw.py to use wikiutil.taintfilename()
    - CVE-2012-XXXX
  * SECURITY UPDATE: path traversal via AttachFile
    - debian/patches/CVE-2012-YYYY.patch: adjust action/AttachFile.py to use
      wikiutil.taintfilename()
    - CVE-2012-YYYY

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 29 Dec 2012 18:24:10 -0600

moin (1.9.5-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1046616). Remaining changes:
   - Remove python-xml from Suggests field, the package isn't anymore in
     sys.path.
   - Demote fckeditor from Recommends to Suggests; the code was previously
     embedded in moin, but it was also disabled, so there's no reason 
     for us to pull this in by default currently. Note: fckeditor has a
     number of security problems and so this change probably needs to be
     carried indefinitely.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 23 Nov 2012 09:18:37 -0500

moin (1.9.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer: Steve McIntyre. Thanks to Jonas for all his previous
    hard work.

 -- Steve McIntyre <93sam@debian.org>  Sat, 10 Nov 2012 20:19:36 +0000

moin (1.9.3-1ubuntu3) quantal; urgency=low

  * SECURITY UPDATE: cross-site scripting issue in reStructuredText parser
    - debian/patches/CVE-2011-1058.patch: remove javascript support in
      MoinMoin/parser/text_rst.py.
    - CVE-2011-1058
  * SECURITY UPDATE: incorrect permissions due to broken virtual group
    names handling
    - debian/patches/CVE-2012-4404.patch: fix group test in
      MoinMoin/security/__init__.py, added test in
      MoinMoin/security/_tests/test_security.py.
    - CVE-2012-4404

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Oct 2012 10:13:05 -0400
