=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: moin
 Section: net
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
+Standards-Version: 3.9.3
 Build-Depends: devscripts,
- python (>= 2.6.5),
+ python,
  cdbs (>= 0.4.97~),
  python-dev (>= 2.3.5-7),
  debhelper,
  dh-buildinfo,
  unzip,
  zip
-Uploaders: Steve McIntyre <93sam@debian.org>
 Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
 Homepage: http://moinmo.in/
