=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 DEB_UPSTREAM_URL = http://static.moinmo.in/files
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = f274a47042abeb17df6b0abb2948e896
+DEB_UPSTREAM_TARBALL_MD5 = adfa15e3e37cf26b4b014f209959e9d9
 
 # Use local fork handling variations in owner names and license strings
 DEB_COPYRIGHT_CHECK_SCRIPT = debian/licensecheck
@@ -47,9 +47,7 @@
 
 # Grab staticpath from some config file for use in our documentation
 # (Make ignores exitlevel, so doublecheck result)
-
-#grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
-
+grep -q "url_prefix_static = '/moin_static' + version.release_short" MoinMoin/config/__init__.py || echo "Test failed"
 staticpath := $(shell sed -n -e "s|^\s*release_short\s*=\s*'\([^']*\)'.*|/moin_static\1|p" MoinMoin/version.py)
 $(if $(staticpath),,$(error Failed to resolve staticpath))
 
@@ -153,8 +151,8 @@
 
 # Needed (always, often or sometimes) at runtime
 CDBS_DEPENDS += python-werkzeug, python-pygments, python-parsedatetime, python-recaptcha
-CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy, fckeditor
+CDBS_RECOMMENDS += , default-mta | mail-transport-agent, python-xapian, python-xappy
 CDBS_RECOMMENDS += , libapache2-mod-wsgi | httpd-cgi
-CDBS_SUGGESTS += , python-flup
-CDBS_SUGGESTS += , python-4suite-xml, python-xml, python-gdchart, python-docutils, python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
+CDBS_SUGGESTS += , python-flup, fckeditor
+CDBS_SUGGESTS += , python-4suite-xml, python-gdchart, python-docutils, python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb
 CDBS_SUGGESTS += , miscfiles | wordlist, antiword, catdoc, cifs-utils, poppler-utils | xpdf-utils, docbook-dsssl
